unit uViewPedidoMontaje;

interface

uses
  Forms, Classes, Controls, cxGraphics, DB, uDADataTable, dxLayoutControl,
  cxDBEdit, cxDropDownEdit, cxMemo, cxContainer, cxEdit, cxTextEdit,
  cxMaskEdit, cxCalendar, uCustomView, uViewBase,  cxControls,
  uViewPedidoProveedor, uViewDatosYSeleccionProveedor, uViewDatosYSeleccionMontaje,
  uBizPedidosProveedor, uBizPedidosMontaje;

type
  IViewPedidoMontaje = interface(IViewPedidoProveedor)
  ['{4DFB7BC5-3083-48DD-A96F-E9C6EE3E3E8E}']
    function GetViewMontajePedido: TfrViewDatosYSeleccionMontaje;
    procedure SetViewMontajePedido(const Value: TfrViewDatosYSeleccionMontaje);
    property ViewMontajePedido: TfrViewDatosYSeleccionMontaje read GetViewMontajePedido write SetViewMontajePedido;
  end;

  TfrViewPedidoMontaje = class(TfrViewPedidoProveedor, IViewPedidoMontaje)
    dxLayoutControl1Item9: TdxLayoutItem;
    frViewMontajePedido: TfrViewDatosYSeleccionMontaje;
    dxLayoutControl1Group4: TdxLayoutGroup;
    procedure CustomViewCreate(Sender: TObject);
    procedure CustomViewDestroy(Sender: TObject);
  protected
    FViewMontajePedido : TfrViewDatosYSeleccionMontaje;
    function GetViewMontajePedido: TfrViewDatosYSeleccionMontaje;
    procedure SetViewMontajePedido(const Value: TfrViewDatosYSeleccionMontaje);
    procedure SetPedido(const Value: IBizPedidoProveedor); override;
  public
    property ViewMontajePedido: TfrViewDatosYSeleccionMontaje read GetViewMontajePedido write SetViewMontajePedido;
  end;

implementation
{$R *.dfm}

{ TfrViewPedidoMontaje }

procedure TfrViewPedidoMontaje.CustomViewCreate(Sender: TObject);
begin
  inherited;
  FViewMontajePedido := frViewMontajePedido;
end;

procedure TfrViewPedidoMontaje.CustomViewDestroy(Sender: TObject);
begin
  FViewMontajePedido := Nil;
  inherited;
end;

function TfrViewPedidoMontaje.GetViewMontajePedido: TfrViewDatosYSeleccionMontaje;
begin
  Result := FViewMontajePedido;
end;

procedure TfrViewPedidoMontaje.SetPedido(const Value: IBizPedidoProveedor);
begin
  inherited;
  frViewMontajePedido.Montaje := (FPedido as IBizPedidoMontaje).Montaje;
end;

procedure TfrViewPedidoMontaje.SetViewMontajePedido(const Value: TfrViewDatosYSeleccionMontaje);
begin
  FViewMontajePedido := Value;
end;

end.
